(C)Copyright 2002-2004 Marvell(R).
All rights reserved
===========================================================================

yk51x64.txt created 16-Dec-2004

Readme File for YK51X64.sys v7.31.1.3
Marvell Yukon Ethernet Controller

NDIS5.1 Miniport Driver for Windows XP and Server 2003 (X64)

This file contains
 1  Overview
 2  Required Files
 3  Installation
    3.1  Installing the driver
    3.2  Updating the driver
 4  Parameters
 5  Troubleshooting

===========================================================================


1  Overview
===========

YK51X64.sys is the NDIS5.1 64-bit Miniport driver for the
Marvell Yukon Ethernet Controller.

This driver supports only Windows XP and Server 2003 (X64).
This README file explains how to install the Miniport driver on a machine
running Windows XP and Server 2003 (X64).

This YK51X64 NDIS5.1 Miniport driver cannot be used with other 
Windows versions than Windows XP and Server 2003 (X64).
***


2  Required Files
=================

To install the driver, the following files are required:
YK51X64.sys Marvell Yukon Ethernet Controller NDIS5.1 Miniport driver 
YK51X64.inf installation setup script
YK51X64.CAT digital signature (only if the driver is certified)
***


3  Installation
===============

3.1  Installing the driver
--------------------------

Read the installation instructions in the adapter manual carefully.
Follow these instructions to install the adapter in your computer.


With PCI adapters, due to the plug & play facility of PCI, the Windows XP 
and Server 2003 (X64) system is able to find, identify, and configure an 
adapter automatically. 


If the adapter is not detected during boot by Windows XP and Server 2003 
(X64) the operating system will ask you for the driver. Insert the 
installation disk and follow the instructions from Windows XP and Server 
2003 (X64). 
If the adapter is not detected during installation by Windows XP and Server 
2003 (X64) the adapter is installed as "Ethernet Controller" under "Other 
Devices". 
To install the driver you have to perform a driver update as described 
in the next section.


***


3.2  Updating the driver
------------------------


To update the driver, proceed as follows:

1.  On the desktop right click on MY COMPUTER.
2.  Select MANAGE.
3.  In the "Device Manager" select the adapter you wish to update.
4.  Double click. 
5.  Select DRIVER.
6.  Click UPDATE DRIVER ... .
7. Follow the instructions given by Windows XP and Server 2003 (X64) to 
locate the driver. 
8.  If the driver which is found to be the latest is not the one you want 
    to install, select the checkbox "Install one of the other drivers".
9.  Click NEXT. 
10. Select the driver to be installed in the next listbox.
11. Click NEXT.
    If a message is displayed saying that the driver is not digitally signed 
    by Microsoft, click YES.
12. The message "Windows has finished installing the software for this 
    device" is displayed.
13. Click FINISH to complete the installation.


Please note that the latest version of the YK51X64 driver is
available for download from our web site.


4  Parameters
=============


The YK51X64.sys driver allows you to modify several options in order to 
optimize the operation of your Marvell Yukon Ethernet Controller. 

1.  In "Network Connections" right click on the adapter you 
    want to configure.
2.  Select "Properties". 
3.  Click "Configure".
4.  Click "Advanced".
5.  In the "Property" box, select the option that you want to change.
6.  Enter the desired value in the "Value" box.
7.  When finished, click OK .
 Windows XP and Server 2003 (X64) will reload the driver with the changed 
settings. 

The parameters supported by the driver are described below.



Network Address
---------------

Registry Name:	"NetworkAddress"
Default value:  burned-in adapter address
Valid range:    0y-00-00-00-00-01 to FE-FF-FF-FF-FF-FF (hexadecimal), 
                where at least the "multicast" bit must not be set 
                (it indicates that the address field contains an 
                individual address)and the "locally administered" bit 
                is set (the address has been assigned by a local
                administrator). These two bits are first and second 
                bits transmitted on the LAN medium.

CAUTION: Each individual network MAC address can only be used once in a
         network. Assigning the same address to more than one adapter in 
         the same network is not allowed and can cause serious network 
         problems.

To use a network MAC address other than the one burned into the adapter,
enter the network address in the following hexadecimal format:

    XX-XX-XX-XX-XX-XX (e.g. 02-00-5A-98-12-34).

If the network address field blank is left blank (or a different number of
digits is specified), the network address burned into the adapter will 
be used.


Maximum Frame Size
------------------

Registry Name:	"MaxFrameSize"
Default value:  1514 (decimal)
Valid range:    12..9014 (decimal)

This parameter specifies the maximum frame size in bytes that the driver
will support. The performance of your network usually increases when
a large packet size is used. Do not use values larger than 1514 if you
are not sure if your network supports jumbo frames.

Note: For Fast Ethernet adapters the valid range is limited to 1514.



Hardware Checksumming
---------------------

Registry Name:	"HwChecksum"
Default value:  1(On)
Valid values:   1 = "On"
                0 = "Off"

This parameter is used to disable the hardware checksum offload for 
TCP/IP. There should be no need to disable checksum offload.



Wake Up Capabilities
--------------------

Registry Name:	"WakeUpModeCap_<n>"	<n> = port designator (A or B)
Default value:  27 (Magic Packet and Pattern Magic)
Valid values:   0  = "None"
                25 = "Magic Packet"
                26 = "Pattern Match"
		27 = "Magic Packet and Pattern Match"
                28 = "Link Change"

- "None"                wake on LAN capabilities are disabled
- "Magic Packet" 	wake up with MagicPacket from ShutDown state,
		 	OS Controlled from Hibernate or Standby state
- "Pattern Match"	wake up with a packet containing a special pattern
		  	from ShutDown state, OS Controlled from Hibernate 
		  	or Standby state
- "Magic Packet
   and Pattern Match"	wake up with both from ShutDown state, OS Controlled
		        from Hibernate or Standby state
- "Link Change"		wake up with link change from ShutDown state,
			OS Controlled from Hibernate or Standby state
                        
Wake Up From Shutdown
--------------------

Registry Name:	"WakeFromShutdown"
Default value:  0 (Off)
Valid values:   0 = "Off"
                1 = "On"

- "Off"         disable the capabilities of the NIC to wake the computer 
                from shutdown.
- "On"          enable the NIC to be capable to wake the computer from shutdown.



Number of Receive Buffers
-------------------------

Registry Name:	"MaxReceives"
Default value:  50 (decimal)
Valid range:    3..500 (decimal)

For YukonEC (PCI-Express) family based ethernet controllers the following 
values are used:
Default value:  256 (decimal)
Valid range:    128..512 (decimal)

This parameters defines the number of receive buffers allocated by the
driver. If the system does not have enough resources the driver will fail 
to load. Increasing this value may improve performance.


Number of Transmit Buffers
--------------------------

Registry Name:	"MaxTransmits"
Default value:  50 (decimal)
Valid range:    4..200 (decimal)

For YukonEC (PCI-Express) family based ethernet controllers the following 
values are used:
Default value:  256 (decimal)
Valid range:    128..512 (decimal)


This parameters defines the number of transmit buffers allocated by the
driver. If the system does not have enough resources the driver will 
fail to load. Increasing this value may improve performance.

Interrupt Moderation
--------------------

Registry Name:	"Moderate"
Default value:  1 (On)
Valid values:   1 = "On"
                0 = "Off"

If more than the specified rate of interrupts occur, the function 
Interrupt Moderation groups these interrupts so that several data packets 
can be handled per interrupt. This will lead to lower CPU utilization 
but may increase the latency.


Max IRQ per Sec
---------------

Registry Name:	"FixedIntMod"
Default value:  5000 (decimal)
Valid range:    1000..30000 (decimal)

This parameter specifies the interrupt rate for Interrupt Moderation. If
Interrupt Moderation is set to "Off" it will be ignored.

Log Status Messages
-------------------

Registry Name:	"MessageLog"
Default value:  1 (Status Messages)
Valid values:   0 = "All Messages"
                1 = "Status Messages"
                2 = "Warnings"
                3 = "Errors"
                4 = "None"

This parameter specifies the messages, which are to be logged in the 
Event Log.

- "All Messages":    This option should only be used for test purposes.
- "Status Messages": In this mode the driver will generate an event log 
                     entry every time the link status changes.
- "Warnings":        In this mode you will only receive warning or error 
                     messages.
- "Errors":          In this mode you will only receive error messages.
- "None":            All driver messages will be suppressed. It is not 
                     recommended to use this value.

Media Type
---------------

Registry Name:	"ConnectionType_<n>"  <n> = port designator (A or B)
Default value:  0 = "Auto-Sense"
Valid range:    0 = "Auto-Sense"
                11 = "10Mbps Half Duplex"
                12 = "10Mbps Full Duplex"
		13 = "100Mbps Half Duplex"
		14 = "100Mbps Full Duplex"


This parameter contain information regarding autonegotiation, 
duplex capabilities and link speed. The link between Connection type and 
these parameters above mentionated is presented below.

Connection 	Autoneg.	Duplex			Link Speed
Type				Capabilities	
---------------------------------------------------------------------------
AutoSense		On	Half and Full Fuplex	Auto
10Mbps Half Duplex	Off	Half Duplex		  10
10Mbps Full Duplex	Off	Full Fuplex		  10
100Mbps Half Duplex	Off	Half Duplex		 100
100Mbps Full Duplex	Off	Full Fuplex		 100





802.1p Support
--------------
Registry Name:	"TagHeaderSupport_<n>" <n> = port designator (A or B)
Default Value:	0 (Off)
Valid Values:	0 = "Off"
                1 = "On"

This parameter will enable/disable the quality of service for specified
port. By default this option is not enabled at the first install of 
the driver.



BatteryModeLinkDetection
--------------
Registry Name:	"BatteryModeLinkDetection"
Default Value:	4 (EnergyDetect+™)
Valid Values:	0 = "NoEnergySaving"
                1 = "MaximumEnergySaving"
		4 = "EnergyDetect+™"

This parameter will set the mode in which the NIC is working if there 
is no link and the PC is battery-powered.

NoEnergySaving
No Energy saving functions are switched on in the NIC. 

MaximumEnergySaving
The NIC is switched off if there is no link in battery mode. The driver
wakes up the NIC every 20 seconds to check if there is a new link.

EnergyDetect+
If battery-powered the NIC is set to "EnergyDetect+"(TM) mode. The link 
is activated faster than in “MaximumEnergySaving" mode, but the NIC 
requires more power.



BatterySpeedSettings
--------------
Registry Name:	"BatterySpeedSettings"
Default Value:	4 (FullSpeed)
Valid Values:	3 = "SmartSpeedDown"
                4 = "FullSpeed"

This parameter will sets the Line speed for the NIC if PC is 
battery-powered

SmartSpeedDown
If the computer is battery-powered, the NIC speed is switched to 
10/100Mbit/s to reduce the power consumption.

FullSpeed
If the computer is battery-powered the NIC is working with maximum 
speed and maximum power consumption.

If the computer is supplied by AC power all power saving features 
are switched off, and the NIC is working with maximum speed.


TCP Segmentation
---------

Registry Name:	"TcpLargeSend"
Default value:  0 (Off)
Valid range:    1 = "On"
                0 = "Off"

NOTE: This parameter is only available starting with the NICs based on 
Yukon2 chip.

Use this parameter to set the way on which the packets are sent to the network:

- "On"  The big packets are segmented on the NIC before to be sent to the network.
        Using this method the processor will be not loaded to do this job.

- "Off" The packets are not segmented by the NIC.

5  Troubleshooting
==================

If you should encounter any problems with your Marvell Yukon Ethernet 
Controller, please re-read the instructions above and the documentation 
supplied with the operating system. 
Also refer to your system event log file (using the Event Viewer) and
check it for entries from YK51X64.

If your particular problem is not listed or the error persists, please send 
your system event log file or at least the event id number and the logging 
data (as WORDs) of the entries made by YK51X64 to our technical support. 

*** End of Readme File ***

